[package]
name = "deno-rt"
version = "0.1.0"
edition = "2024"


# [lib]
# static library compiles, while dynamic fails. napi-rs needs dynamic lib, though.
# internally used rusty-v8 is a static library, which seems to be the original 
# crate-type = ["cdylib"]
# crate-type = ["lib"]

[dependencies]
deno_core = "0.355.0"
tokio = { version = "1.47.0", features = [ "full" ] }
ipc_duplex = { path = "../shared-rust-crates/ipc-duplex" }
